zenilib: zenilib/jni/external/sdl/src/video/windows/SDL_windowswindow.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Functions
SDL_windowswindow.h File Reference
`#include "SDL_config.h"`

Go to the source code of this file.

## Classes

struct | SDL_WindowData

## Functions

int | WIN_CreateWindow (_THIS, SDL_Window *window)
int | WIN_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | WIN_DestroyWindow (_THIS, SDL_Window *window)
int | WIN_GetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 *ramp)
SDL_bool | WIN_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
void | WIN_HideWindow (_THIS, SDL_Window *window)
void | WIN_MaximizeWindow (_THIS, SDL_Window *window)
void | WIN_MinimizeWindow (_THIS, SDL_Window *window)
void | WIN_OnWindowEnter (_THIS, SDL_Window *window)
void | WIN_RaiseWindow (_THIS, SDL_Window *window)
void | WIN_RestoreWindow (_THIS, SDL_Window *window)
void | WIN_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | WIN_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int | WIN_SetWindowGammaRamp (_THIS, SDL_Window *window, const Uint16 *ramp)
void | WIN_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | WIN_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | WIN_SetWindowPosition (_THIS, SDL_Window *window)
void | WIN_SetWindowSize (_THIS, SDL_Window *window)
void | WIN_SetWindowTitle (_THIS, SDL_Window *window)
void | WIN_ShowWindow (_THIS, SDL_Window *window)

## Function Documentation

int WIN_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int WIN_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

void WIN_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int WIN_GetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 * | ramp
| ) |  |

SDL_bool WIN_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

void WIN_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_OnWindowEnter | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

void WIN_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

int WIN_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const Uint16 * | ramp
| ) |  |

void WIN_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

void WIN_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

void WIN_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void WIN_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |